﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@

@{
    Layout = "~/Views/Shared/_faasoftwarelayout.cshtml";
}

<style>
    .select2-container--default {
        width: 100%;
    }

        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            padding: 5px;
        }

    .input-group > .form-control:focus, .input-group > .form-floating:focus-within, .input-group > .form-select:focus {
        z-index: 0;
    }

    .canvasjs-chart-credit {
        display: none;
    }
    .ResultGraphdiv div{
        position: relative;
        right: -64px;
    }
</style>



<div id="tab-Results">

    <div class="col-lg-12">
        <div class="tab-content">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title">Results</h5>
                </div>
                <div class="card-body">
                    <div class="row mg-3 mt-3">
                        <div class="col-lg-3">
                            <div class="cd-position-relative">
                                <select class="js-example-basic-multiple" id="ddlTestCode" name="states[]" multiple="multiple">
                                </select>
                                <label class="floating-label" for="ddltest">Test</label>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="cd-position-relative">
                                <select class="js-example-basic-multiple" id="ddlSample" name="Sample[]" multiple="multiple">
                                </select>
                                <label class="floating-label" for="ddlSampleId">Sample Id</label>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="cd-position-relative">
                                <input type="hidden" id="hdSearchPatientId" />
                                <select class="js-example-basic-multiple1" id="ddlPatient" name="states1[]" multiple="multiple">
                                </select>
                                <label class="floating-label" for="ddltest">Patient</label>
                            </div>
                        </div>
                    </div>

                    <div class="row mg-3 mt-3">
                        <div class="col-lg-3">
                            <div class="cd-position-relative">
                                <input type="date" data-date="" id="dtFromDate"
                                       class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date"
                                       data-date-format="DD-MMM-YYYY" value="Select Date">
                                <label for="txtFromDt" class="floating-label">From Date</label>
                            </div>
                        </div>

                        <div class="col-lg-3">
                            <div class="cd-position-relative">
                                <input type="date" data-date="" id="txtToDate"
                                       class="floating-label-control cd-form-control form-control form-control calinput" placeholder="To Date"
                                       data-date-format="DD-MMM-YYYY" value="Select Date">
                                <label for="txtToDt" class="floating-label">To Date</label>
                            </div>
                        </div>
                        <div class="col-lg-2">
                            <div class="form-check" style="padding-top:13px">
                                <input type="checkbox" id="chkSample" name="chkType" onclick="" class="form-check-input" value="Sample">
                                <label class="form-check-label" for="chkSample">
                                    Sample
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-2">
                            <div class="form-check" style="padding-top:13px">
                                <input type="checkbox" id="chkCalibration" name="chkType" onclick="" class="form-check-input" value="Calibration">
                                <label class="form-check-label" for="chkCalibration">
                                    Calibration
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-2">
                            <div class="form-check" style="padding-top:13px">
                                <input type="checkbox" id="chkQC" name="chkType" onclick="" class="form-check-input" value="QC">
                                <label class="form-check-label" for="chkQC">
                                    QC
                                </label>
                            </div>
                        </div>
                    </div>


                    <div class="row mt-2">
                        <div class="col-lg-12" style="text-align:right;">
                            <button type="button" class="btn colorCode" data-bs-toggle="tooltip" id="cmdSerach" onclick="SearchResult()" data-bs-placement="bottom" title="Search Result Data">Show Results</button>
                        </div>

                        <div class="col-lg-12 row mt-3 divResultTable" style="display:none;">
                            <table id="tblTabResult" class="display compact" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Run Date Time</th>
                                        <th>patientName</th>
                                        <th>Test Code</th>
                                        <th>Result</th>
                                        <th>Flag</th>
                                        <th>Ref Low</th>
                                        <th>Ref High</th>
                                        <th>Remark</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                        <div class="col-lg-12">
                            <div id="divResultNoRecordFound"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



<div class="modal fade" id="modelSample" tabindex="-1">
    <div class="modal-dialog modal-xl modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblPatient">Sample</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearSample()"></button>
            </div>
            <div class="modal-body">
                <div class="row">


                    <!-- Default Accordion -->
                    <div class="accordion" id="accordionExample">
                        <div class="accordion-item">

                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    Patient Details
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <div class="row">
                                        <div class="col-lg-3 form-floating">
                                            <div class="cd-position-relative" id="divPatientId">
                                                <input type="hidden" id="hdPatId" />
                                                <select id="txtPatientId" onchange="GetPatientDetail()" class="form-select select floating-label-control cd-form-control editable-select input-field" placeholder="Enter or Search Patient ID">
                                                </select>
                                                <label class="floating-label" for="inputtxtTest">Patient ID</label>
                                            </div>
                                        </div>

                                        <div class="col-lg-6 form-floating">
                                            <div class="cd-position-relative" id="divPatientName">
                                                <select id="txtPatName" onchange="GetPatientNameDetail()" class="form-select select floating-label-control cd-form-control editable-select input-field" placeholder="Enter or Search Patient Name">
                                                </select>
                                                <label class="floating-label" for="inputtxtTest">Patient Name</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-3 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="date" data-date="04-Oct-2023" id="dtDOB" class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date" data-date-format="DD-MMM-YYYY" value="Select Date">
                                                <label class="floating-label" for="inputtxtTest"> Date of Birth</label>
                                            </div>
                                        </div>
                                    </div>
                                    <br />
                                    <div class="row">

                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="number" id="txtHeight" placeholder="Height" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Height</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="number" id="txtWeight" placeholder="Weight" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Weight</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <select id="ddlGender" class="form-control form-select select floating-label-control cd-form-control select2" placeholder="Sex">
                                                    <option value="Male">Male</option>
                                                    <option value="Female">Female</option>
                                                </select>
                                                <label class="floating-label" for="inputtxtTest">Gender</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 form-floating">
                                            <div class="input-group cd-position-relative">
                                                <textarea id="txtAddress" class="form-control floating-label-control cd-form-control" placeholder="Address"></textarea>
                                                <label class="floating-label" for="floatingR1Volume">Address</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" onclick="ClearPatient()" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                        <button type="button" onclick="SavePatient()" id="btnSavePatient" class="btn btn-primary">Save</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingTwo">
                                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="true" aria-controls="collapseTwo">
                                    Sample Details
                                </button>
                            </h2>
                            <div id="collapseTwo" class="accordion-collapse collapse show" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <div class="row">
                                        <input type="hidden" id="hdsmpId" />

                                        <div class="col-lg-4 form-floating">
                                            <div class="cd-position-relative" id="divSmpBarCode">

                                                <select id="txtSmpBarCode" onchange="GetSampleDetailbySmpBarCode()" class="form-select select floating-label-control cd-form-control editable-select input-field" placeholder="Enter or Search Sample ID / Bar Code">
                                                </select>

                                                <label class="floating-label" for="inputtxtTest">Bar Code</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="number" id="txtSmpAge" placeholder="Age" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Age</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="number" id="txtSmpHeight" placeholder="Height" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Height</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="number" id="txtSmpWeight" placeholder="Weight" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Weight</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="number" id="txtSmpBedNo" placeholder="Bed Number" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Bed Number</label>
                                            </div>
                                        </div>

                                    </div>
                                    <br />
                                    <div class="row">
                                        <div class="col-lg-3 form-floating">
                                            <div class="cd-position-relative">
                                                <select id="ddlDoctorId" class="form-control form-select select floating-label-control cd-form-control select2" placeholder="Select Doctor">
                                                </select>
                                                <label class="floating-label" for="inputtxtTest">Doctor</label>
                                            </div>
                                        </div>

                                        <div class="col-lg-5 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="text" id="txtLeb_HospitalName" placeholder="Leb/Hospital Name" class="form-control floating-label-control cd-form-control">
                                                <label class="floating-label" for="inputtxtTest">Lab / Hospital Name</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="date" data-date="04-Oct-2023" id="dtRegistrationDate" class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date" data-date-format="DD-MMM-YYYY" value="Select Date">

                                                <label class="floating-label" for="inputtxtTest">Registration Date</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-2 form-floating">
                                            <div class="cd-position-relative">
                                                <input type="date" data-date="04-Oct-2023" id="dtCollectionDate" class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date" data-date-format="DD-MMM-YYYY" value="Select Date">

                                                <label class="floating-label" for="inputtxtTest">Collection Date</label>
                                            </div>
                                        </div>
                                    </div>
                                    <br />
                                    <div class="row">
                                        <div class="col-lg-3 form-floating">
                                            <div class="cd-position-relative">
                                                <select id="ddlSmpType" class="form-control form-select select floating-label-control cd-form-control select2" placeholder="Select Sample Type">
                                                </select>
                                                <label class="floating-label" for="inputtxtTest"> Sample Type</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-3 form-floating">
                                            <div class="cd-position-relative">
                                                <select id="ddlSmpConType" class="form-control form-select select floating-label-control cd-form-control select2" placeholder="Select Sample Container Type">
                                                </select>
                                                <label class="floating-label" for="inputtxtTest"> Sample Container Type</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-3 form-floating">
                                            <div class="cd-position-relative">
                                                <select id="ddlSmpPosition" class="form-control form-select select floating-label-control cd-form-control select2" placeholder="Select Position">
                                                </select>
                                                <label class="floating-label" for="inputtxtTest"> Position </label>
                                            </div>
                                        </div>
                                    </div>
                                    <br />
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="input-group cd-position-relative">
                                                <textarea id="txtHospitalArea" class="form-control floating-label-control cd-form-control" placeholder="Hospital Area"></textarea>
                                                <label class="floating-label" for="floatingR1Volume">Hospital Area</label>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="input-group cd-position-relative">
                                                <textarea id="txtSmpRemark" class="form-control floating-label-control cd-form-control" placeholder="Sample Remark"></textarea>
                                                <label class="floating-label" for="floatingR1Volume">Sample Remark</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingThree">
                                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="true" aria-controls="collapseThree">
                                    Test
                                </button>
                            </h2>
                            <div id="collapseThree" class="accordion-collapse collapse show" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <div class="row" id="divTestCodeBind" style="border:1px solid darkgrey;padding-left:30px">
                                    </div>
                                    <br />
                                    <div class="row" id="divTestProfileBind" style="border:1px solid darkgrey;padding-left:30px">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!-- End Default Accordion Example -->


                </div>

            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="modelExternalResult" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add External Result</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearExternalResult()"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-4">
                        <input type="hidden" id="hdExtPatientId" />
                        <div class="cd-position-relative mb-3">
                            <input type="text" disabled="disabled" class="floating-label-control cd-form-control form-control" id="txtExtPatientName" placeholder="Enter Patient Name ">
                            <label class="floating-label" for="inputDoctor">Patient Name</label>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="cd-position-relative  mb-3">
                            <input type="text" disabled="disabled" class="floating-label-control cd-form-control form-control" id="txtExtSampleId" placeholder=" Sample ID">
                            <label class="floating-label" for="inputNameDept">Sample ID</label>
                        </div>
                    </div>
                    <div class="col-lg-4 form-floating">
                        <div class="cd-position-relative">
                            <input type="date" data-date="04-Oct-2023" id="dtExtRunDate" class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date" data-date-format="DD-MMM-YYYY" value="Select Date">
                            <label class="floating-label" for="inputtxtTest"> Date</label>
                        </div>
                    </div>
                </div>
                <div id="divExternalRow">
                </div>
                <div class="row">
                    <div class="col-lg-11"></div>
                    <div class="col-lg-1"><button type="button" id="btnAddExternal" onclick="AddRowExternalResult()" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Add External Result" class="btn colorCode"><i class="bi bi-plus"></i></button></div>


                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearExternalResult()">Close</button>
                <button type="button" id="" class="btn btn-primary" onclick="SaveExternalTestResult()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelResultChartGraph" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Reaction Curve</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearExternalResult()"></button>
            </div>
            <div class="modal-body">
                <div class="row  mb-3">
                    <div class="col-lg-12 mb-3 mt-3 divLineChartReport" id="divLineChartReport">
                        <div id="LineChartReport" style="height: 300px; width: 100%;"></div>
                    </div>
                </div>

                <div class="row  mb-3">
                    <div class="col-xs-4 col-lg-2 ResultGraphdiv" style="display:inline-flex;">
                        <span>Test Name</span>
                        <div style="text-align:right;">:</div>
                    </div>
                    <div class="col-xs-6 col-lg-4 text-left">
                        <span id="lblTestName"></span>
                    </div>
                    <div class="col-lg-2 ResultGraphdiv" style="display:inline-flex;">
                        <span>Patient Name</span>
                        <div style="text-align:right;">:</div>
                    </div>

                    <div class="col-lg-4 text-left">
                        <span id="lblPatientName"></span>
                    </div>
                </div>

                <div class="row  mb-3">
                    <div class="col-lg-2 ResultGraphdiv">
                        <span>Sample ID</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 test-left">
                        <span id="lblSampleId"></span>
                    </div>
                    <div class="col-lg-2 text-right">
                        <span>Run DateTime</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 test-left">
                        <span id="lblResultDateTime"></span>
                    </div>
                </div>

                <div class="row  mb-3">
                    <div class="col-lg-2">
                        <span>Method</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 text-left">
                        <span id="lblMethodType"></span>
                    </div>

                    <div class="col-lg-2 text-right">
                        <span>Result</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 text-left">
                        <span id="lblResult"></span>
                    </div>
                </div>

                <div class="row  mb-3">
                    <div class="col-lg-2 text-right">
                        <span>Read Time</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 text-left">
                        <span id="lblReadTime"></span>
                    </div>
                    <div class="col-lg-2 text-right">
                        <span>Flag</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 text-left">
                        <span id="lblFlag"></span>
                    </div>
                </div>

                <div class="row  mb-3">
                    <div class="col-lg-2 text-right">
                        <span>Start Point</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 text-left">
                        <span id="lblStartPoint"></span>
                    </div>
                    <div class="col-lg-2 text-right">
                        <span>End Point</span>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-3 text-left">
                        <span id="lblEndPoint"></span>
                    </div>
                </div>
                <br />
                <div class="row  mb-3">
                    <div class="col-lg-3">
                        <div class="cd-position-relative mb-3">
                            <input type="number" class="floating-label-control cd-form-control form-control" id="txtCalStartPoint" placeholder="Start Point">
                            <label class="floating-label" for="inputDoctor">Start Point</label>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="cd-position-relative  mb-3">
                            <input type="number" class="floating-label-control cd-form-control form-control" id="txtCalEndPoint" placeholder="End Point">
                            <label class="floating-label" for="inputNameDept">End Point</label>
                        </div>
                    </div>
                    <div class="col-lg-2 text-center" style="margin-top:5px;"><button type="button" id="" onclick="RecalculatePoint()" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Recalculate Point" class="btn colorCode">Recalculate</button></div>

                    <div class="col-lg-4">
                        <div class="cd-position-relative  mb-3">
                            <input type="text" disabled="disabled" class="floating-label-control cd-form-control form-control" id="txtCalResult" placeholder="Recalculated Result">
                            <label class="floating-label" for="inputNameDept">Result</label>
                        </div>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="">Close</button>
                <button type="button" id="" class="btn btn-primary" onclick="">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelRecalculateResult" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="">Sending following data into online instrument</h5>
                @*                 <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearSample()"></button>
                *@
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-3">
                        <label>Test Code</label>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-8">
                        <label id="lblRstTestName"></label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <label>Curve Type</label>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-8">
                        <label id="lblRstMethodType"></label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <label>Array of reading</label>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-8">
                        <label id="lblArrayOfRead"></label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <label>Start Point</label>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-8">
                        <label id="lblRstStartPoint"></label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <label>End Point</label>
                    </div>
                    <div class="col-lg-1">
                        <p>:</p>
                    </div>
                    <div class="col-lg-8">
                        <label id="lblRstEndPoint"></label>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">cancel</button>
                <button type="button" id="" class="btn btn-primary" onclick="funRecalculateResult()">okay</button>
            </div>
        </div>
    </div>
</div>

<script src="~/js/UI/jquery.js"></script>
<script src="~/js/UI/jquery.canvasjs.min.js"></script>
<script src="~/js/ui/jspdf.min.js"></script>
<script src="~/js/ui/jspdf.plugin.autotable.min.js"></script>
<script src="~/js/UI/jquery.datatables.min.js"></script>
<script src="~/js/app/reports.js"></script>

@* <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.2/jspdf.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf-autotable/2.3.1/jspdf.plugin.autotable.min.js"></script>
 *@
<script>


    function iformat(icon, badge,) {
        var originalOption = icon.element;
        var originalOptionBadge = $(originalOption).data('badge');

        return $('<span><i class="fa ' + $(originalOption).data('icon') + '"></i> ' + icon.text + '<span class="badge">' + originalOptionBadge + '</span></span>');
    }

</script>



